from VcfFilter import VcfFilter

import argparse
import os

#get command line arguments

parser = argparse.ArgumentParser(description='Script to run GATK ApplyRecalibration, which is part of the VQSR filtering procedure')

parser.add_argument('--gatk_folder', type=str, required=True, help='Folder containing GATK jar file' )
parser.add_argument('--vcf', type=str, required=True, help='Path to the VCF file that will be analysed' )
parser.add_argument('--reference', type=str, required=True, help='Path to the reference Fasta file' )
parser.add_argument('--mode', type=str, required=True, help='Mode for ApplyRecalibration')
parser.add_argument('--recal_file', type=str, required=True, help='Recal file generated by variantrecalibrator')
parser.add_argument('--tranches_file', type=str, required=True, help='Tranches file generated by variantrecalibrator')
parser.add_argument('--outprefix', type=str, required=True, help='Prefix for output file')

args = parser.parse_args()

if __name__ == '__main__':

    VcfFilter = VcfFilter(vcf=args.vcf,caller='UG',gatk_folder=args.gatk_folder, reference=args.reference)
    outfile=VcfFilter.run_applyrecalibration(mode=args.mode, recal_file=args.recal_file, tranches_file=args.tranches_file, outprefix=args.outprefix)
